Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderManagerBean

    java.lang.Object
      com.beasys.commerce.ebusiness.order.OrderManagerBean

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated

    @Deprecated
    public class OrderManagerBean

extends Object
implements javax.ejb.SessionBean

The OrderManagerBean is a session bean that isolates the JSP type calls from dealing directly with Order Entity Beans in a piece-meal fashion and improves performance by keeping the calls on the EJB sides.
Its main purpose is to create an Order and to retrieve OrderValue's using a variety of criteria, customerPK, a date range, a SKU, a Status.
The returned objects on those finder methods may be either straight collection with all the orderValue objects filled, or a more sophisticated ScrollableModel which caches the PK and a few orderValues only.
Finally, the OrderManagerBean deals with getting and setting an Order's status, and helps the JSP presentation by providing the only possible statuses an Order can move to.

See Also
  `OrderValue`, `StateMachine`, `
  `, `OrderManagerHome`, `OrderManager`, Serialized Form

Constructor Summary
`OrderManagerBean()` Deprecated The constructor gets an order state machine for any status associated action.

Method Summary
`protected static void` | `close(Connection connection, PreparedStatement statement, ResultSet resultSet)` Deprecated Close database "stuff" quietly and without exceptions.
`javax.ejb.Handle` | `createOrder(OrderPk orderPK, OrderValue orderValue, Quote adjustments)` Deprecated Creates an order using a value object.
`void` | `ejbActivate()` Deprecated Empty ejb method implementation
`void` | `ejbCreate()` Deprecated Empty ejb method implementation
`void` | `ejbPassivate()` Deprecated Empty ejb method implementation
`void` | `ejbPostCreate()` Deprecated Empty ejb method implementation
`void` | `ejbRemove()` Deprecated Empty ejb method implementation
`Collection` | `findByCustomer(CustomerPk customerPk)` Deprecated Finds the OrderValues associated with a customer and returns a collection
`ScrollableModel` | `findByCustomer(CustomerPk customerPK, int pageSize)` Deprecated Finds the OrderValues associated with a customer and returns a scrollable model
`Collection` | `findByDates(Date startDate, Date endDate)` Deprecated Finds a collection of orders given a range of dates.
`ScrollableModel` | `findByDates(Date startDate, Date endDate, int pageSize)` Deprecated Finds the OrderValues associated with a date range and returns a scrollable model
`OrderValue` | `findByPK(OrderPk pk)` Deprecated Finds an order value given its primary key.
`Collection` | `findBySKU(String SKU)` Deprecated This method uses a prepared statement and a Jdbc Connection to retrieve Order Values from the WLCS_ORDER_LINE table, based on the SKU of a product item.
`ScrollableModel` | `findBySKU(String sku, int pageSize)` Deprecated This method uses a prepared statement and a Jdbc Connection to retrieve Order Values organized in a ScrollableModel from the WLCS_ORDER_LINE table, based on the SKU of a product item.
`Collection` | `findByStatus(String status)` Deprecated Finds the OrderValues associated with a status and returns a collection
`ScrollableModel` | `findByStatus(String status, int pageSize)` Deprecated Finds the OrderValues associated with a status and returns a scrollable model
`String` | `getOrderStatus(OrderPk pk)` Deprecated Gets the status of an order, given the order's primary key.
`String[]` | `getValidNewStatuses(OrderPk orderPK)` Deprecated Retrieves all the possible statuses an Order can move to based on its primary key.
`void` | `queryOrderAdjusments(OrderPk orderPk, OrderValue orderValue)` Deprecated this call fills an orderValue with the adjustments that are associated with it.
`void` | `setOrderStatus(OrderPk pk, String orderStatus)` Deprecated Sets an order's status to a specified value, given the order's primary key.
`void` | `setSessionContext(javax.ejb.SessionContext context)` Deprecated Set the session context
`void` | `updateOrderDiscounts(OrderPk orderPk, OrderValue orderValue, Quote adjustments)` Deprecated updates the discounts associated with an order

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderManagerBean

    public OrderManagerBean()
                     throws Exception

  Deprecated
  The constructor gets an order state machine for any status associated action. Check license first!

  Throws
    `Exception`

Method Detail

### createOrder

    public javax.ejb.Handle createOrder(OrderPk orderPK,
                                        OrderValue orderValue,
                                        Quote adjustments)
                                 throws RemoteException

  Deprecated
  Creates an order using a value object. It also persist the ajustments associated with that order

  Parameters
    `orderPK,` - the primary key for the order
    `orderValue,` - the value object for the order
    `adjustments,` - the adjustments for the order (and its lines)
  Returns
    a handle over the order
  Throws
    `RemoteException`

### findByPK

    public OrderValue findByPK(OrderPk pk)
                        throws RemoteException

  Deprecated
  Finds an order value given its primary key.

  Parameters
    `pk` - The primary key of the order to be found
  Returns
    The order value
  Throws
    `RemoteException`

### findByCustomer

    public ScrollableModel findByCustomer(CustomerPk customerPK,
                                          int pageSize)
                                   throws RemoteException

  Deprecated
  Finds the OrderValues associated with a customer and returns a scrollable model

  Parameters
    `CustomerPk` -
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByCustomer

    public Collection findByCustomer(CustomerPk customerPk)
                              throws RemoteException

  Deprecated
  Finds the OrderValues associated with a customer and returns a collection

  Parameters
    `CustomerPk` -
  Returns
    the Collection that manages the corresponding Order values
  Throws
    `RemoteException`

### findByStatus

    public ScrollableModel findByStatus(String status,
                                        int pageSize)
                                 throws RemoteException

  Deprecated
  Finds the OrderValues associated with a status and returns a scrollable model

  Parameters
    `status,` - e.g. "Authorized"
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByStatus

    public Collection findByStatus(String status)
                            throws RemoteException

  Deprecated
  Finds the OrderValues associated with a status and returns a collection

  Parameters
    `status,` - e.g. "Authorized"
  Returns
    the collection that manages the corresponding Order values
  Throws
    `RemoteException`

### findBySKU

    public Collection findBySKU(String SKU)
                         throws RemoteException

  Deprecated
  This method uses a prepared statement and a Jdbc Connection to retrieve Order Values from the WLCS_ORDER_LINE table, based on the SKU of a product item. Each OrderValue found appears only once in the Collection, even if there are many OrderLines in a single Order for a single SKU (unlikely, but physically possible).

  Parameters
    `SKU` -
  Returns
    a Collection (ArrayList) of OrderValue's
  Throws
    `RemoteException`

### findBySKU

    public ScrollableModel findBySKU(String sku,
                                     int pageSize)
                              throws RemoteException

  Deprecated
  This method uses a prepared statement and a Jdbc Connection to retrieve Order Values organized in a ScrollableModel from the WLCS_ORDER_LINE table, based on the SKU of a product item.
  Each OrderValue found appears only once in the ScrollableModel, even if there are many OrderLines in a single Order for a single SKU (unlikely, but physically possible).

  Parameters
    `SKU` -
    `pageSize` -
  Returns
    a ScrollableModel (ArrayList) managing the Order Values
  Throws
    `RemoteException`

### findByDates

    public ScrollableModel findByDates(Date startDate,
                                       Date endDate,
                                       int pageSize)
                                throws RemoteException

  Deprecated
  Finds the OrderValues associated with a date range and returns a scrollable model

  Parameters
    `startDate` - of the date range
    `endDate` - of the date range
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByDates

    public Collection findByDates(Date startDate,
                                  Date endDate)
                           throws RemoteException

  Deprecated
  Finds a collection of orders given a range of dates.

  Parameters
    `startDate` -
    `endDate` -
  Returns
    The Collection of order for the date range
  Throws
    `RemoteException`

### getOrderStatus

    public String getOrderStatus(OrderPk pk)
                          throws RemoteException

  Deprecated
  Gets the status of an order, given the order's primary key.

  Parameters
    `pk` - The primary key of the order in question
  Returns
    A string with the order's status
  Throws
    `RemoteException`

### setOrderStatus

    public void setOrderStatus(OrderPk pk,
                               String orderStatus)
                        throws RemoteException

  Deprecated
  Sets an order's status to a specified value, given the order's primary key.

  Parameters
    `pk` - The order's primary key
    `orderStatus` -
  Throws
    `RemoteException`

### getValidNewStatuses

    public String[] getValidNewStatuses(OrderPk orderPK)
                                 throws RemoteException

  Deprecated
  Retrieves all the possible statuses an Order can move to based on its primary key. This can then be used by the presentation layer

  Parameters
    `orderPK` -
  Returns
    a String array, one per status the order can be moved to
  Throws
    `RemoteException`

### queryOrderAdjusments

    public void queryOrderAdjusments(OrderPk orderPk,
                                     OrderValue orderValue)
                              throws RemoteException

  Deprecated
  this call fills an orderValue with the adjustments that are associated with it.

  Parameters
    `orderPk,` - the order primary key.
    `orderValue,` - the order value to fill with adjustments
  Throws
    `RemoteException`

### updateOrderDiscounts

    public void updateOrderDiscounts(OrderPk orderPk,
                                     OrderValue orderValue,
                                     Quote adjustments)
                              throws RemoteException

  Deprecated
  updates the discounts associated with an order

  Parameters
    `orderPk` - the order primary key.
    `orderValue` - the order value which contains the creation date and the orderline
    `adjustments` - a Quote object containing the adjustments
  Throws
    `RemoteException`
  Since:
    WLCS 3.5 sp3, added as a customer support case

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext context)

  Deprecated
  Set the session context

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Parameters
    `context` - the Session context

### ejbRemove

    public void ejbRemove()

  Deprecated
  Empty ejb method implementation

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Deprecated
  Empty ejb method implementation

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Deprecated
  Empty ejb method implementation

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### ejbCreate

    public void ejbCreate()

  Deprecated
  Empty ejb method implementation

### ejbPostCreate

    public void ejbPostCreate()

  Deprecated
  Empty ejb method implementation

### close

    protected static void close(Connection connection,
                                PreparedStatement statement,
                                ResultSet resultSet)

  Deprecated
  Close database "stuff" quietly and without exceptions. This convenience method takes a Statement, ResultSet, and Connection. If the argument is null or not one of the recognized types, nothing is done.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.